Description: pathnames
Forwarded: not-needed
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 acl2 (7.2dfsg-3) unstable; urgency=medium
 .
   * build-dep against latest gcl
   * upstream pathname patch
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2016-10-15

--- acl2-7.2dfsg.orig/other-events.lisp
+++ acl2-7.2dfsg/other-events.lisp
@@ -8692,9 +8692,15 @@
            (and (implies dir-p
                          (not (or (stringp name) (stringp type))))
                 (assert$ (and (true-listp dir)
-                              (eq (car dir)
-                                  #+gcl :ROOT
-                                  #-gcl :ABSOLUTE))
+                                    #+gcl
+                                    (member (car dir)
+                                            '(:ROOT ; for backward compatibility
+                                              #+cltl2
+                                              :ABSOLUTE)
+                                            :test #'eq)
+                                    #-gcl
+                                    (eq (car dir) :ABSOLUTE)
+				    )
                          (let* ((mswindows-drive
                                  (mswindows-drive (namestring truename) state))
                                 (tmp (if mswindows-drive
